package cn.hmsoft.frame.data.model;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 系统表-报表配置明细
 * 
 * @author: zxq
 * @date: 2019-11-15 15:27:18
 * @version: 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "FRAME_REPORT_DETAIL", keyColumn = "", sequenceName = "")
public class FrameReportDetail implements Serializable {
	private static final long serialVersionUID = -2477383338812026392L;
	//报表名称
	private String report_name;
	//字段排序
	private Integer field_order;
	//字段名称
	private String field_name;
	//字段长度
	private Integer field_length;
	//描述文字
	private String field_text;
	//字段数据类型
	private String field_date_type;
	//字段状态
	private String field_status;
	//对应的字典名称，如果是字典的话
	private String dict_name;

	/****
	 * 报表名称
	 */
	public String getReport_name() {
		return this.report_name;
	}

	/****
	 * 报表名称
	 */
	public void setReport_name(String report_name) {
		this.report_name = report_name;
	}

	/****
	 * 字段排序
	 */
	public Integer getField_order() {
		return this.field_order;
	}

	/****
	 * 字段排序
	 */
	public void setField_order(Integer field_order) {
		this.field_order = field_order;
	}

	/****
	 * 字段名称
	 */
	public String getField_name() {
		return this.field_name;
	}

	/****
	 * 字段名称
	 */
	public void setField_name(String field_name) {
		this.field_name = field_name;
	}

	/****
	 * 字段长度
	 */
	public Integer getField_length() {
		return this.field_length;
	}

	/****
	 * 字段长度
	 */
	public void setField_length(Integer field_length) {
		this.field_length = field_length;
	}

	/****
	 * 描述文字
	 */
	public String getField_text() {
		return this.field_text;
	}

	/****
	 * 描述文字
	 */
	public void setField_text(String field_text) {
		this.field_text = field_text;
	}

	/****
	 * 字段数据类型
	 */
	public String getField_date_type() {
		return this.field_date_type;
	}

	/****
	 * 字段数据类型
	 */
	public void setField_date_type(String field_date_type) {
		this.field_date_type = field_date_type;
	}

	/****
	 * 字段状态
	 */
	public String getField_status() {
		return this.field_status;
	}

	/****
	 * 字段状态
	 */
	public void setField_status(String field_status) {
		this.field_status = field_status;
	}

	/****
	 * 对应的字典名称，如果是字典的话
	 */
	public String getDict_name() {
		return this.dict_name;
	}

	/****
	 * 对应的字典名称，如果是字典的话
	 */
	public void setDict_name(String dict_name) {
		this.dict_name = dict_name;
	}
}